PHP Manual
Prev |  | Next

# ora_columntype

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_columntype -- Gets the type of an Oracle result column

## Description

string ora_columntype ( resource cursor, int column )

Returns the Oracle data type name of the `column` on the `cursor`.

## Parameters

`cursor`

  An Oracle cursor, opened with ora_open().

`column`

  The column number. First is 0.

## Return Values

The returned type will be one of the following strings:

`"VARCHAR2"`
`"VARCHAR"`
`"CHAR"`
`"NUMBER"`
`"LONG"`
`"LONG RAW"`
`"ROWID"`
`"DATE"`
`"CURSOR"`

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_field_type()
oci_field_type_raw()

Prev | Home | Next
ora_columnsize | Up | ora_commit